import {FC, useEffect, useState} from "react";
import {View} from "@tarojs/components";
import styles from "./home.module.scss";
// import {Search} from "@/pages/home/components/search";
import Adware from "@/pages/home/components/adware";
import Feature from "@/pages/home/components/feature";
import FeatureRecommended from "@/pages/home/components/feature_recommended";
import CurRecommended from "@/pages/home/components/curRecommended";
import MyButton from "@/components/button/MyButton";
import {Profile} from "@/store";
import Taro from "@tarojs/taro";
import {HomeApi, HomeData} from "@/api";


const Home: FC = () => {
  const {token} = Profile.useContainer()
  const [data, setData] = useState<null | HomeData>(null)

  function unLogin() {
    Taro.removeStorageSync('profile')
    Taro.navigateTo({url: '/pages/login/login'})
  }

  useEffect(() => {
    HomeApi.home().then(res => {
      setData(res)
    })
  }, [])

  return (
    <View className={styles.content}>
      {/*<Search/>*/}
      <Adware data={data?.adverts || []} only_flag='routine_home_top_banner' width={710}/>
      <Feature/>
      <FeatureRecommended
        illness={(data?.illness as any)?.list || []}
        health={data?.health || []}
        brand={((data?.brand as any)?.list) || []}
        skill={data?.skill || []}
      />
      <Adware data={data?.adverts || []} only_flag='routine_home_recommend_banner' width={710}/>
      <CurRecommended/>
      {
        !token && <View className={styles.tipsLogin} onClick={unLogin}>
          <View>登录后享受更多学习服务~</View>
          <MyButton fillet size='mini'>立即登录</MyButton>
        </View>
      }
    </View>
  )
}

export default Home
